Stablecoin payroll & payroll admin
Generate Workday Settlement CSV
Name and signature indicate it generates workday settlement csv
POSThttps://api.toku.com/stablecoin-payroll/generate-workday-settlement-csv
Not available to API keys yet. It will need payroll:write.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/generate-workday-settlement-csv' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"tokenPayrollID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"contributorInTokenPayrollIDs": [
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
]
}'200 response
{
"xlsxData": "string",
"filename": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
tokenPayrollIDstring<uuid>requiredcontributorInTokenPayrollIDsstring<uuid>[]Allowed: at most 500 items
Response
200Successful response
xlsxDatastringrequiredAllowed: matches ^[A-Za-z0-9+\x2F]*={0,2}$
filenamestringrequiredAllowed: matches ^import_deductions_to_workday_\d{4}-\d{2}-\d{2}\.xlsx$
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits